import rhinoscriptsyntax as rs
 
def curvaturecircle():
    curve = rs.GetObject("Select curve for curvature measurement", rs.filter.curve, True)
    if not curve: return
 
    while True:
        crv_pt = rs.GetPointOnCurve(curve, "Select point on curve for curvature measurement")
        if not crv_pt: break
 
        crv_t = rs.CurveClosestPoint(curve, crv_pt)
        arr = rs.CurveCurvature(curve, crv_t)
        if not arr:
            print "Unable to compute curve curvature."
            break
 
        crv_pl = rs.PlaneFromFrame(arr[0], arr[1], arr[4])
        pl = rs.MovePlane(crv_pl, arr[2])
 
        rs.AddCircle(pl, arr[3])
        rs.AddPoint(arr[0])
 
curvaturecircle()